import { Component, OnInit, Input } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { Address } from '@nested-forms/contact';

@Component({
  selector: 'nested-forms-address',
  templateUrl: './address.component.html',
  styleUrls: ['./address.component.css']
})
export class AddressComponent implements OnInit {
  @Input() addressGroup: FormGroup;
  
  static createContactAddressForm(addr: Address, fb: FormBuilder): FormGroup {
    return fb.group({
      line1: [addr ? addr.line1 : ''],
      line2: [addr ? addr.line2 : ''],
      city: [addr ? addr.city : ''],
      state: [addr ? addr.state : ''],
      postalCode: [addr ? addr.postalCode : ''],
    });
  }

  constructor() { }

  ngOnInit() {
  }

}
